<?php


class VPP_APP {

	/**
	 * VPP_APP constructor.
	 */
	public function __construct() {

		add_action( 'init', array( $this, 'Init' ) );

	}

	/**
	 * Init
	 */
	public function Init() {

		/** do_action vpp app init */
		do_action( 'vpp_app_init' );

		self::_Include();

		if ( ! is_admin() ) {

			$this->Shortcode();

		}

		/** do_action vpp app loaded */
		do_action( 'vpp_app_loaded' );

	}

	/**
	 * Include
	 */
	public function _Include() {

		include_once 'player/VPP_SKIN_MANAGEMENT.php';

		/** ajax */
		include_once 'player/ajax/VPP_AJAX_AUTO_VIDEO_CHANGE.php';

		if ( VPP::$setting->General_Auto_Video_Change() == 'yes' ) {
			include_once 'player/VPP_AUTO_VIDEO_CHANGE.php';
		}

	}

	/**
	 * Shortcode
	 *
	 * @return bool|void
	 *
	 */
	private function Shortcode() {

		/** do_action vpp app shortcode */
		do_action( 'vpp_app_shortcode' );

		include_once 'player/include/VPP_SHORTCODE.php';

		new VPP_SHORTCODE();

	}

}

new VPP_APP();