<?php


class VPP_SETTING {

	private $setting = null;

	/**
	 * YTPL_SETTING constructor.
	 */
	public function __construct() {

		$option = get_option( 'vpp_config' );
		if ( $option ) {
			$this->setting = $option;
		}

	}

	/**
	 * General Traffic
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function General_Traffic( $value = '_undefined_' ) {

		return $this->Data( 'general-traffic', $value );

	}

	/**
	 * General Rest Api
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function General_Rest_Api( $value = '_undefined_' ) {

		return $this->Data( 'general-api', $value );

	}

	/**
	 * General Ajax
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function General_Ajax( $value = '_undefined_' ) {

		return $this->Data( 'general-ajax', $value );

	}

	/**
	 * General Alert
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function General_Alert( $value = '_undefined_' ) {

		return $this->Data( 'general-alert', $value );

	}

	/**
	 * General Auto Video Change
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function General_Auto_Video_Change( $value = '_undefined_' ) {

		return $this->Data( 'general-auto-video-change', $value );

	}

	/**
	 * General Hard Auto Video Change
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function General_Hard_Auto_Video_Change( $value = '_undefined_' ) {

		return $this->Data( 'general-hard-auto-video-change', $value );

	}

	/**
	 * Default Upload Title
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Upload_Title( $value = '_undefined_' ) {

		return $this->Data( 'default-upload-title', $value );

	}

	/**
	 * Default Upload Description
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Upload_Description( $value = '_undefined_' ) {

		return $this->Data( 'default-upload-description', $value );

	}

	/**
	 * Default Upload Visibility
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Upload_Visibility( $value = '_undefined_' ) {

		return $this->Data( 'default-upload-visibility', $value );

	}

	/**
	 * General Template
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Player_Template( $value = '_undefined_' ) {

		return $this->Data( 'player-template', $value );

	}

	/**
	 * Default Player Show Setting
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Setting( $value = '_undefined_' ) {

		return $this->Data( 'default-player-setting', $value );

	}

	/**
	 * Default Player Show Subtitle
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Subtitle( $value = '_undefined_' ) {

		return $this->Data( 'default-player-subtitle', $value );

	}

	/**
	 * Default Player Show Full Screen
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Full_Screen( $value = '_undefined_' ) {

		return $this->Data( 'default-player-full-screen', $value );

	}

	/**
	 * Default Player Show Description
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Description( $value = '_undefined_' ) {

		return $this->Data( 'default-player-description', $value );

	}

	/**
	 * Default Player Show Share
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Share( $value = '_undefined_' ) {

		return $this->Data( 'default-player-share', $value );

	}

	/**
	 * Default Player Show Share
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Info( $value = '_undefined_' ) {

		return $this->Data( 'default-player-info', $value );

	}

	/**
	 * Default Player Watermark
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Watermark( $value = '_undefined_' ) {

		return $this->Data( 'default-player-watermark', $value );

	}

	/**
	 * Default Player Show Like
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Like( $value = '_undefined_' ) {

		return $this->Data( 'default-player-like', $value );

	}

	/**
	 * Default Player Show Comment
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Comment( $value = '_undefined_' ) {

		return $this->Data( 'default-player-comment', $value );

	}

	/**
	 * Default Player Show Suggestion
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Suggestion( $value = '_undefined_' ) {

		return $this->Data( 'default-player-suggestion', $value );

	}

	/**
	 * Default Player Show End Screen
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_End_Screen( $value = '_undefined_' ) {

		return $this->Data( 'default-player-end-screen', $value );

	}

	/**
	 * Default Player Show Carts
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Carts( $value = '_undefined_' ) {

		return $this->Data( 'default-player-carts', $value );

	}

	/**
	 * Default Player Disable Right Click
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Enable_Right_Click( $value = '_undefined_' ) {

		return $this->Data( 'default-player-enable-right-click', $value );

	}

	/**
	 * Default Player Loop
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Loop( $value = '_undefined_' ) {

		return $this->Data( 'default-player-loop', $value );

	}

	/**
	 * Default Player Embed
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Embed( $value = '_undefined_' ) {

		return $this->Data( 'default-player-embed', $value );

	}

	/**
	 * Default Player Copy Video Link
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Copy_Video_Link( $value = '_undefined_' ) {

		return $this->Data( 'default-player-copy-video-link', $value );

	}

	/**
	 * Default Player Video Info
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Default_Player_Video_Info( $value = '_undefined_' ) {

		return $this->Data( 'default-player-video-info', $value );

	}

	/**
	 * Embed Key
	 *
	 * @param mixed $value
	 *
	 * @return mixed|null
	 */
	public function Embed_Key( $value = '_undefined_' ) {

		return $this->Data( 'embed-key', $value );

	}

	/**
	 * Save
	 *
	 * @version 1.0.0
	 *
	 */
	public function Save() {

		update_option( 'vpp_config', $this->setting );

	}

	/**
	 * Get and set data
	 *
	 * @param $name
	 * @param $data
	 *
	 * @return mixed|void
	 * @version 1.0.0
	 *
	 */
	public function Data( $name, $data ) {

		if ( $data != '_undefined_' ) {
			$this->setting[ $name ] = $data;
		}

		return isset( $this->setting[ $name ] ) ? $this->setting[ $name ] : '';

	}

}