<?php


class VPP_AJAX_POPUP {

	/**
	 * VPP_AJAX_POPUP constructor.
	 */
	public function __construct() {

		add_action( 'wp_ajax_vpp_popup', array( $this, 'Popup' ) );
		add_action( 'wp_ajax_nopriv_vpp_popup', array( $this, 'Popup' ) );

	}

	/**
	 * Popup
	 */
	public function Popup() {

		VPP_AJAX_NONCE::Nonce();

		$popup = isset( $_REQUEST['popup'] ) ? sanitize_text_field( $_REQUEST['popup'] ) : null;
		$config = isset( $_REQUEST['config'] ) ? sanitize_text_field( $_REQUEST['config'] ) : [];

		/** do_action vpp studio popup $popup */
		do_action( 'vpp_studio_popup_' . $popup, $config );

		die;

	}

}

new VPP_AJAX_POPUP();