<?php

/** SECURITY */
defined( 'ABSPATH' ) || exit();

?>

<div class="ytpl-header">
    <div class="ytpl-logo">
        <img src="<?php echo esc_url( VPP_PLUGIN_IMG . 'Plugin-Logo.png' ); ?>"
             alt="<?php echo __( 'Video Land', VPP_TEXT_DOMAIN ); ?>"/>
        <span><?php echo __( 'Video Land', VPP_TEXT_DOMAIN ); ?></span>
		<?php

        /** do_action vpp studio header left area */
		do_action( 'vpp_studio_header_left_area' );

		?>
    </div>
    <div class="ytpl-search">
        <input type="text" value="" placeholder="<?php echo __( 'Search across your video', VPP_TEXT_DOMAIN ); ?>">
        <div class="ytpl-search-result">
            <div class="ytpl-search-result-content">
                <div class="ytpl-empty">
					<?php echo __( 'Not Found Video.', VPP_TEXT_DOMAIN ); ?>
                </div>
            </div>
        </div>
	    <?php

	    /** do_action vpp studio header left area */
	    do_action( 'vpp_studio_header_search_area' );

	    ?>
    </div>
    <div class="ytpl-right-section">
        <div class="ytpl-create-button" id="ytpl_show_popup_create">
			<?php echo VPP_ICON::$create; ?>
            <span><?php echo __( 'create', VPP_TEXT_DOMAIN ); ?></span>
        </div>
        <a href="<?php echo esc_url( 'https://idea-land.co/video-player-pro-documentation/' ) ?>" target="_blank"
           class="ytpl-icon-button">
			<?php echo VPP_ICON::$help; ?>
        </a>
        <div class="ytpl-icon-button search">
			<?php echo VPP_ICON::$search; ?>
        </div>
	    <?php

	    /** do_action vpp studio header left area */
	    do_action( 'vpp_studio_header_right_area' );

	    ?>
    </div>
</div>
