<?php


class VPP_AJAX_VIDEO_DELETE {

	public function __construct() {

		add_action( 'wp_ajax_ytpl_delete_video', array( $this, 'Render' ) );
		add_action( 'wp_ajax_nopriv_ytpl_delete_video', array( $this, 'Render' ) );

	}

	public function Render() {

		VPP_AJAX_NONCE::Nonce();

		$video = new VPP_VIDEO();
		$video->ID = sanitize_text_field( $_REQUEST['id'] );
		$video->Delete();

		$tag = new VPP_VIDEO_TAG();
		$tag->Video_ID = $video->ID;
		$tag->Delete();

		/** do_action vpp studio ajax video delete */
		do_action( 'vpp_studio_ajax_video_delete', $video );

		die;

	}

}

new VPP_AJAX_VIDEO_DELETE();